cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

MP520 and Catalina

mar10029
Apprentice

Hi,

 

I have a MP520 printer.  Just got a new Mac laptop with Catalina (OS X 10.15).  Tried to add printer, it does recoginze the MP520 but then asks for software.  There is a short list of software from Espon, etc... nothing from Canon.  Apparently Canon hasn't provided drivers for this printer since OS X 10.12, so nothing to download.

 

Any idea how to get this printer to print with my new laptop?

1 REPLY 1

Patrick
Product Expert
Product Expert

Hi mar10029,

 

The PIXMA MP520 is not compatible with macOS v10.15.  You are eligible for Canon's Upgrade Program. This is for out of warranty units which have been diagnosed to require service, or for some reason are incompatible with a new or upgraded system. This option allows you a one-time opportunity to purchase a replacement product, discounted from the list price.

To help you get up and running quickly, we also offer free standard shipping (if the order is completed by 12:30PM ET). If you would like to take part in this option, please call our Sales Department at (866) 443-8002 seven days a week, 8am to Midnight. Let them know you have been working with technical support and the Canon Upgrade Program was offered.


 

 

Did this answer your question? Please click the Accept as Solution button so that others may find the answer as well.
Avatar
click here to view the gallery
Announcements